<?php
/************************************************************************
 * MXChange v0.2.1                                    Start: 09/31/2009 *
 * ===============                              Last change: 09/31/2009 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : uberwach_functions.php                           *
 * -------------------------------------------------------------------- *
 * Short description : Special functions for uberwach extension         *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Spezielle Funktion fuer uberwach-Erweiterung     *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * Needs to be in all Files and every File needs "svn propset           *
 * svn:keywords Date Revision" (autoprobset!) at least!!!!!!            *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * For more information visit: http://www.mxchange.org                  *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if (!defined('__SECURITY')) {
	die();
} // END - if

// Loads the snippet for the uberwach action
function loadUberwachSnippet () {
	// Detect IP address
	$content['REMOTE_ADDR'] = detectRemoteAddr();

	// Simply load the template here
	loadTemplate('uberwach_snippet', false, $content);
}

// Filter for displaying uberwach snippet
function FILTER_DISPLAY_UBERWACH_SNIPPET () {
	// Shall we include the uberwach snippet?
	if ((!isGetRequestElementSet('frame')) && (isExtensionActive('uberwach')) && (getModule() != 'admin') && ($GLOBALS['header_sent'] == 2)) {
		// Then display it here
		loadUberwachSnippet();
	} // END - if
}

// [EOF]
?>
